import os

from dotenv import load_dotenv

load_dotenv()


class ConfigClass(object):
    """ Flask application config """

    # Flask settings
    SECRET_KEY = os.getenv('SECRET_KEY')

    # Flask-SQLAlchemy settings
    SQLALCHEMY_DATABASE_URI = "mysql+pymysql://" + \
                              os.getenv('MYSQL_USER') + ":" + \
                              os.getenv('MYSQL_PASSWORD') + "@" + \
                              os.getenv('MYSQL_HOST') + ":" + \
                              (os.getenv("MYSQL_PORT") or str(3306)) + "/" + \
                              os.getenv('MYSQL_DATABASE')
    SQLALCHEMY_TRACK_MODIFICATIONS = False  # Avoids SQLAlchemy warning
